Build:
  1. 0
2024-05-29 15:07.16: New job: Voodoo prep mmdb.0.2.1; bb404f3aa04f41a430c90778df4ebbe8
2024-05-29 15:07.16: Waiting for resource in pool OCluster
2024-05-29 16:38.41: Waiting for worker…
2024-05-29 16:39.11: Got resource from pool OCluster
2024-05-29 16:39.11: Using cache hint "docs-universe-prep-5.1.1"

To reproduce locally:

cat > prep.spec <<'END-OF-SPEC'
((build tools
        ((from ocaml/opam:debian-12-ocaml-5.1@sha256:60c225d6a1c7b1dbe1cea6fe3c911e668e7278d26ec0e44f1d0affc0946678d8)
         (user (uid 1000) (gid 1000))
         (workdir /home/opam)
         (run (shell "sudo chown opam:opam /home/opam"))
         (run (network host)
              (shell "sudo apt-get update && sudo apt-get install -yy m4 pkg-config"))
         (run (cache (opam-archives (target /home/opam/.opam/download-cache)) (opam-dune-cache (target /home/opam/.cache/dune)))
              (network host)
              (shell "opam pin -ny https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9  && opam depext -iy voodoo-prep"))
         (run (shell "cp $(opam config var bin)/voodoo-prep /home/opam"))))
 (from ocaml/opam:debian-12-ocaml-5.1@sha256:60c225d6a1c7b1dbe1cea6fe3c911e668e7278d26ec0e44f1d0affc0946678d8)
 (user (uid 1000) (gid 1000))
 (workdir /home/opam)
 (run (shell "sudo chown opam:opam /home/opam"))
 (run (shell "sudo mkdir /src"))
 (copy (src packages) (dst /src/packages))
 (copy (src repo) (dst /src/repo))
 (run (network host)
      (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam init --reinit -ni"))
 (run (shell "opam repo remove default && opam repo add opam /src"))
 (copy (from (build tools)) (src /home/opam/voodoo-prep) (dst /home/opam/))
 (run (cache (opam-archives (target /home/opam/.opam/download-cache)) (opam-dune-cache (target /home/opam/.cache/dune)))
      (network host)
      (shell "opam install dune.3.15.3 ocamlfind.1.9.6"))
 (env DUNE_CACHE enabled)
 (env DUNE_CACHE_TRANSPORT direct)
 (env DUNE_CACHE_DUPLICATION copy)
 (run (cache (opam-archives (target /home/opam/.opam/download-cache)) (opam-dune-cache (target /home/opam/.cache/dune)))
      (network host)
      (shell "(sudo apt update) && ((opam depext -viy mmdb.0.2.1 stdlib-shims.0.3.0 sexplib0.v0.17.0 ppxlib.0.32.1 ppx_let.v0.17.0 ppx_here.v0.17.0 ppx_deriving.6.0.2 ppx_derivers.1.2.1 ocamlfind.1.9.6 ocaml_intrinsics_kernel.v0.17.0 ocaml-compiler-libs.v0.12.4 integers.0.7.0 dune-configurator.3.15.3 dune.3.15.3 ctypes-foreign.0.22.0 ctypes.0.22.0 csexp.1.5.2 cppo.1.6.9 conf-pkg-config.3 conf-libmaxminddb.1 conf-libffi.2.0.0 bigarray-compat.1.1.0 base.v0.17.0 2>&1 | tee ~/opam.err.log) || echo 'Failed to install all packages')"))
 (run (shell "opam exec -- ~/voodoo-prep -u mmdb:bb404f3aa04f41a430c90778df4ebbe8,ppx_let:2d51e243b4aaec543111efbd5ea1d81f"))
 (run (network host)
      (secrets (ssh_privkey (target /home/opam/.ssh/id_rsa)) (ssh_pubkey (target /home/opam/.ssh/id_rsa.pub)) (ssh_config (target /home/opam/.ssh/config)))
      (shell "(echo '0.629137') && (for DATA in prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0,ppx_let.v0.17.0-2d51e243b4aaec543111efbd5ea1d81f,ppx_let.v0.17.0 prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1,mmdb.0.2.1-bb404f3aa04f41a430c90778df4ebbe8,mmdb.0.2.1; do IFS=\",\"; set -- $DATA; ([ -d $1 ] || (echo \"FAILED:$2\" && mkdir -p $1 && cp ~/opam.err.log $1 && opam show $3 --raw > $1/opam)) && (shopt -s nullglob && ((tar -cvf $1.tar $1/*  && rm -R $1/* && mv $1.tar $1/content.tar) || (echo 'Empty directory'))) done) && (for DATA in prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0,ppx_let.v0.17.0-2d51e243b4aaec543111efbd5ea1d81f,ppx_let.v0.17.0 prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1,mmdb.0.2.1-bb404f3aa04f41a430c90778df4ebbe8,mmdb.0.2.1; do IFS=\",\"; set -- $DATA; rsync -aR --no-p ./$1 docs.ci.ocaml.org:/data/.; done) && (for DATA in prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0,ppx_let.v0.17.0-2d51e243b4aaec543111efbd5ea1d81f,ppx_let.v0.17.0 prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1,mmdb.0.2.1-bb404f3aa04f41a430c90778df4ebbe8,mmdb.0.2.1; do IFS=\",\"; set -- $DATA; HASH=$((sha256sum $1/content.tar | cut -d \" \" -f 1)  || echo -n 'empty'); printf \"HASHES:$2:$HASH\\n\"; done)"))
)
END-OF-SPEC

ocluster-client submit-obuilder https://github.com/ocaml/opam-repository.git ea87c49e51ff29a459422419e1688938fd77a46f --local-file prep.spec \
--pool linux-x86_64 --connect ocluster-submission.cap --cache-hint docs-universe-prep-5.1.1 \
--secret ssh_privkey:id_rsa --secret ssh_pubkey:id_rsa.pub--secret ssh_config:ssh_config

2024-05-29 16:39.11: RETRYING: 2024-05-29/150716-voodoo-prep-c11631 Number of retries: 0 (retriable error condition)
Building on doris.caelum.ci.dev
All commits already cached
Updating files:  98% (30878/31368)
Updating files:  99% (31055/31368)
Updating files: 100% (31368/31368)
Updating files: 100% (31368/31368), done.
HEAD is now at ea87c49e51 opam admin add-hashes sha256

(build "tools" …)

(from ocaml/opam:debian-12-ocaml-5.1@sha256:60c225d6a1c7b1dbe1cea6fe3c911e668e7278d26ec0e44f1d0affc0946678d8)
2024-05-29 16:35.39 ---> using "2ff1652276ddfd1e753cd24d9c3d1d53cf715eae160895c7d001ed41d914e87d" from cache

/: (user (uid 1000) (gid 1000))

/: (workdir /home/opam)

/home/opam: (run (shell "sudo chown opam:opam /home/opam"))
2024-05-29 16:35.39 ---> using "4f2f3ccbc1af217020a877bf58de4b61978e5abc2d823aaefe8641445b618da4" from cache

/home/opam: (run (network host)
                 (shell "sudo apt-get update && sudo apt-get install -yy m4 pkg-config"))
Hit:1 http://deb.debian.org/debian bookworm InRelease
Get:2 http://deb.debian.org/debian bookworm-updates InRelease [55.4 kB]
Get:3 http://deb.debian.org/debian-security bookworm-security InRelease [48.0 kB]
Get:4 http://deb.debian.org/debian-security bookworm-security/main amd64 Packages [157 kB]
Fetched 260 kB in 0s (879 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  libpkgconf3 pkgconf pkgconf-bin
Suggested packages:
  m4-doc
The following NEW packages will be installed:
  libpkgconf3 m4 pkg-config pkgconf pkgconf-bin
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 392 kB of archives.
After this operation, 969 kB of additional disk space will be used.
Get:1 http://deb.debian.org/debian bookworm/main amd64 libpkgconf3 amd64 1.8.1-1 [36.1 kB]
Get:2 http://deb.debian.org/debian bookworm/main amd64 m4 amd64 1.4.19-3 [287 kB]
Get:3 http://deb.debian.org/debian bookworm/main amd64 pkgconf-bin amd64 1.8.1-1 [29.5 kB]
Get:4 http://deb.debian.org/debian bookworm/main amd64 pkgconf amd64 1.8.1-1 [25.9 kB]
Get:5 http://deb.debian.org/debian bookworm/main amd64 pkg-config amd64 1.8.1-1 [13.7 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 392 kB in 0s (7880 kB/s)
Selecting previously unselected package libpkgconf3:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18766 files and directories currently installed.)
Preparing to unpack .../libpkgconf3_1.8.1-1_amd64.deb ...
Unpacking libpkgconf3:amd64 (1.8.1-1) ...
Selecting previously unselected package m4.
Preparing to unpack .../archives/m4_1.4.19-3_amd64.deb ...
Unpacking m4 (1.4.19-3) ...
Selecting previously unselected package pkgconf-bin.
Preparing to unpack .../pkgconf-bin_1.8.1-1_amd64.deb ...
Unpacking pkgconf-bin (1.8.1-1) ...
Selecting previously unselected package pkgconf:amd64.
Preparing to unpack .../pkgconf_1.8.1-1_amd64.deb ...
Unpacking pkgconf:amd64 (1.8.1-1) ...
Selecting previously unselected package pkg-config:amd64.
Preparing to unpack .../pkg-config_1.8.1-1_amd64.deb ...
Unpacking pkg-config:amd64 (1.8.1-1) ...
Setting up m4 (1.4.19-3) ...
Setting up libpkgconf3:amd64 (1.8.1-1) ...
Setting up pkgconf-bin (1.8.1-1) ...
Setting up pkgconf:amd64 (1.8.1-1) ...
Setting up pkg-config:amd64 (1.8.1-1) ...
Processing triggers for libc-bin (2.36-9+deb12u7) ...
2024-05-29 16:35.39 ---> using "3f443f5289f894dfc20588f479fb2cd5b2440fc0b24650bc07495ee7b2800f8f" from cache

/home/opam: (run (cache (opam-archives (target /home/opam/.opam/download-cache)) (opam-dune-cache (target /home/opam/.cache/dune)))
                 (network host)
                 (shell "opam pin -ny https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9  && opam depext -iy voodoo-prep"))
[voodoo: git]
[voodoo: git]
[voodoo: git]
[voodoo: git]
[voodoo: git]
[voodoo: git]
[voodoo: git]
[voodoo: git]
[voodoo] synchronised from git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9
This will pin the following packages: voodoo-prep, voodoo-lib, voodoo-gen, voodoo-do. Continue? [Y/n] y
Package voodoo-prep does not exist, create as a NEW package? [Y/n] y
[voodoo-prep.~dev: git]
[voodoo-prep.~dev: git]
[voodoo-prep.~dev: git]
[voodoo-prep.~dev: git]
[voodoo-prep.~dev: git]
[voodoo-prep.~dev: git]
[voodoo-prep.~dev: git]
[voodoo-prep.~dev: git]
[voodoo-prep.~dev] synchronised from git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9
voodoo-prep is now pinned to git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9 (version ~dev)
Package voodoo-lib does not exist, create as a NEW package? [Y/n] y
[voodoo-lib.~dev: git]
[voodoo-lib.~dev: git]
[voodoo-lib.~dev: git]
[voodoo-lib.~dev: git]
[voodoo-lib.~dev: git]
[voodoo-lib.~dev: git]
[voodoo-lib.~dev: git]
[voodoo-lib.~dev: git]
[voodoo-lib.~dev] synchronised from git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9
voodoo-lib is now pinned to git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9 (version ~dev)
Package voodoo-gen does not exist, create as a NEW package? [Y/n] y
[voodoo-gen.~dev: git]
[voodoo-gen.~dev: git]
[voodoo-gen.~dev: git]
[voodoo-gen.~dev: git]
[voodoo-gen.~dev: git]
[voodoo-gen.~dev: git]
[voodoo-gen.~dev: git]
[voodoo-gen.~dev: git]
[voodoo-gen.~dev] synchronised from git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9
voodoo-gen is now pinned to git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9 (version ~dev)
Package voodoo-do does not exist, create as a NEW package? [Y/n] y
[voodoo-do.~dev: git]
[voodoo-do.~dev: git]
[voodoo-do.~dev: git]
[voodoo-do.~dev: git]
[voodoo-do.~dev: git]
[voodoo-do.~dev: git]
[voodoo-do.~dev: git]
[voodoo-do.~dev: git]
[voodoo-do.~dev] synchronised from git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9
voodoo-do is now pinned to git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9 (version ~dev)
# Detecting depexts using vars: arch=x86_64, os=linux, os-distribution=debian, os-family=debian
# No extra OS packages requirements found.
# All required OS packages found.
# Now letting opam install the packages

<><> Synchronising pinned packages ><><><><><><><><><><><><><><><><><><><><><><>
[voodoo-prep.~dev] no changes from git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9

The following actions will be performed:
  - install ocamlbuild       0.14.3 [required by bos]
  - install cmdliner         1.2.0  [required by voodoo-prep]
  - install ocamlfind        1.9.6  [required by bos]
  - install seq              base   [required by re]
  - install dune             3.15.2 [required by voodoo-prep]
  - install topkg            1.0.7  [required by bos]
  - install stdlib-shims     0.3.0  [required by ocamlgraph]
  - install re               1.11.0 [required by opam-format]
  - install opam-file-format 2.1.6  [required by opam-format]
  - install cppo             1.6.9  [required by opam-core]
  - install rresult          0.7.0  [required by bos]
  - install fmt              0.9.0  [required by bos]
  - install astring          0.8.5  [required by bos]
  - install ocamlgraph       2.1.0  [required by opam-core]
  - install logs             0.7.0  [required by bos]
  - install fpath            0.7.3  [required by voodoo-prep]
  - install opam-core        2.1.5  [required by opam-format]
  - install bos              0.2.1  [required by voodoo-prep]
  - install opam-format      2.1.5  [required by voodoo-prep]
  - install voodoo-prep      ~dev*
===== 20 to install =====

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[astring.0.8.5] found in cache
[bos.0.2.1] found in cache
[cmdliner.1.2.0] found in cache
[cppo.1.6.9] found in cache
[dune.3.15.2] found in cache
[fmt.0.9.0] found in cache
[fpath.0.7.3] found in cache
[logs.0.7.0] found in cache
[ocamlbuild.0.14.3] found in cache
[ocamlfind.1.9.6] found in cache
[ocamlgraph.2.1.0] found in cache
[opam-core.2.1.5] found in cache
[opam-file-format.2.1.6] found in cache
[opam-format.2.1.5] found in cache
[re.1.11.0] found in cache
[rresult.0.7.0] found in cache
[stdlib-shims.0.3.0] found in cache
[topkg.1.0.7] found in cache
[voodoo-prep.~dev] synchronised from git+https://github.com/ocaml-doc/voodoo.git#67ccabec49b5f4d24147839291fcae7c19d3e8c9

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed seq.base
-> installed cmdliner.1.2.0
-> installed ocamlfind.1.9.6
-> installed ocamlbuild.0.14.3
-> installed topkg.1.0.7
-> installed rresult.0.7.0
-> installed fmt.0.9.0
-> installed astring.0.8.5
-> installed fpath.0.7.3
-> installed logs.0.7.0
-> installed bos.0.2.1
-> installed dune.3.15.2
-> installed stdlib-shims.0.3.0
-> installed opam-file-format.2.1.6
-> installed re.1.11.0
-> installed cppo.1.6.9
-> installed ocamlgraph.2.1.0
-> installed opam-core.2.1.5
-> installed opam-format.2.1.5
-> installed voodoo-prep.~dev
Done.
# Run eval $(opam env) to update the current shell environment
2024-05-29 16:35.39 ---> using "a1672e510826b95aa0a9f990d567dc86ef3712641815cc517f969483edab3162" from cache

/home/opam: (run (shell "cp $(opam config var bin)/voodoo-prep /home/opam"))
2024-05-29 16:35.39 ---> using "f81cc690068b7bb20e7d1d92bfdd14f8dbf849bf39e5b19dd8e5fa2afa3c8391" from cache
2024-05-29 16:35.39 --> finished "tools"

(from ocaml/opam:debian-12-ocaml-5.1@sha256:60c225d6a1c7b1dbe1cea6fe3c911e668e7278d26ec0e44f1d0affc0946678d8)
2024-05-29 16:35.39 ---> using "2ff1652276ddfd1e753cd24d9c3d1d53cf715eae160895c7d001ed41d914e87d" from cache

/: (user (uid 1000) (gid 1000))

/: (workdir /home/opam)

/home/opam: (run (shell "sudo chown opam:opam /home/opam"))
2024-05-29 16:35.39 ---> using "4f2f3ccbc1af217020a877bf58de4b61978e5abc2d823aaefe8641445b618da4" from cache

/home/opam: (run (shell "sudo mkdir /src"))
2024-05-29 16:35.39 ---> using "78974cc60f40b3de4a7ce3f8fefe66eece435c6f06403fd8e4de6d4219de52fc" from cache

/home/opam: (copy (src packages) (dst /src/packages))
2024-05-29 16:35.40 ---> using "414715a5efd2433883f03f7bb5f298266e37b0ac0f82fc0c0816054835f53a9b" from cache

/home/opam: (copy (src repo) (dst /src/repo))
2024-05-29 16:35.40 ---> using "c2078148568bdd0cfe1326443708f8af83a68718ae6ec36c28481442e1d7cd3b" from cache

/home/opam: (run (network host)
                 (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam init --reinit -ni"))
Configuring from /home/opam/.opamrc and then from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.

This version of opam requires an update to the layout of /home/opam/.opam from version 2.0 to version 2.1, which can't be reverted.
You may want to back it up before going further.

Continue? [Y/n] y
Format upgrade done.

<><> Updating repositories ><><><><><><><><><><><><><><><><><><><><><><><><><><>
[default] synchronised from file:///home/opam/opam-repository
2024-05-29 16:35.40 ---> using "4f7e9ccd88b9e20fee2e80aa998a9ace4a046ca87cd5c2a9153141d33113fc2b" from cache

/home/opam: (run (shell "opam repo remove default && opam repo add opam /src"))
Repositories removed from the selections of switch 5.1. Use '--all' to forget about them altogether.
[opam] Initialised
[NOTE] Repository opam has been added to the selections of switch 5.1 only.
       Run `opam repository add opam --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2024-05-29 16:35.40 ---> using "1cce089c15c54a3f444b4354394241b54b2e7cd75d02890bd4035e640756ca54" from cache

/home/opam: (copy (from (build tools))
                  (src /home/opam/voodoo-prep)
                  (dst /home/opam/))
2024-05-29 16:35.40 ---> using "a076729246ebd9598f3126e9881f3782de007bfb2439afd62c0486405a387033" from cache

/home/opam: (run (cache (opam-archives (target /home/opam/.opam/download-cache)) (opam-dune-cache (target /home/opam/.cache/dune)))
                 (network host)
                 (shell "opam install dune.3.15.3 ocamlfind.1.9.6"))
The following actions will be performed:
  - recompile ocaml-base-compiler 5.1.1*  [upstream or system changes]
  - recompile ocaml-config        3       [upstream or system changes]
  - recompile ocaml               5.1.1   [uses ocaml-base-compiler, ocaml-config]
  - install   ocamlfind           1.9.6
  - install   dune                3.15.3
  - recompile opam-depext         1.2.1-1 [uses ocaml]
  - recompile base-domains        base    [uses ocaml]
  - recompile base-nnp            base    [uses base-domains]
===== 2 to install | 6 to recompile =====

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved ocaml-config.3  (cached)
-> retrieved ocamlfind.1.9.6  (cached)
-> retrieved opam-depext.1.2.1-1  (cached)
-> retrieved ocaml-base-compiler.5.1.1  (cached)
-> retrieved dune.3.15.3  (cached)
-> removed   base-nnp.base
-> removed   base-domains.base
-> removed   opam-depext.1.2.1-1
-> removed   ocaml.5.1.1
-> removed   ocaml-config.3
-> removed   ocaml-base-compiler.5.1.1
-> installed ocaml-base-compiler.5.1.1
-> installed ocaml-config.3
-> installed ocaml.5.1.1
-> installed base-domains.base
-> installed base-nnp.base
-> installed opam-depext.1.2.1-1
-> installed ocamlfind.1.9.6
-> installed dune.3.15.3
Done.

<><> opam-depext.1.2.1-1 installed successfully <><><><><><><><><><><><><><><><>
=> opam-depext is unnecessary when used with opam >= 2.1. Please use opam install directly instead
# Run eval $(opam env) to update the current shell environment
2024-05-29 16:35.40 ---> using "0e3b49ebd0e46059c159264c9988a4a34964a4616d57126fd05a610e3d41135c" from cache

/home/opam: (env DUNE_CACHE enabled)

/home/opam: (env DUNE_CACHE_TRANSPORT direct)

/home/opam: (env DUNE_CACHE_DUPLICATION copy)

/home/opam: (run (cache (opam-archives (target /home/opam/.opam/download-cache)) (opam-dune-cache (target /home/opam/.cache/dune)))
                 (network host)
                 (shell "(sudo apt update) && ((opam depext -viy mmdb.0.2.1 stdlib-shims.0.3.0 sexplib0.v0.17.0 ppxlib.0.32.1 ppx_let.v0.17.0 ppx_here.v0.17.0 ppx_deriving.6.0.2 ppx_derivers.1.2.1 ocamlfind.1.9.6 ocaml_intrinsics_kernel.v0.17.0 ocaml-compiler-libs.v0.12.4 integers.0.7.0 dune-configurator.3.15.3 dune.3.15.3 ctypes-foreign.0.22.0 ctypes.0.22.0 csexp.1.5.2 cppo.1.6.9 conf-pkg-config.3 conf-libmaxminddb.1 conf-libffi.2.0.0 bigarray-compat.1.1.0 base.v0.17.0 2>&1 | tee ~/opam.err.log) || echo 'Failed to install all packages')"))

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Hit:1 http://deb.debian.org/debian bookworm InRelease
Get:2 http://deb.debian.org/debian bookworm-updates InRelease [55.4 kB]
Get:3 http://deb.debian.org/debian-security bookworm-security InRelease [48.0 kB]
Get:4 http://deb.debian.org/debian-security bookworm-security/main amd64 Packages [157 kB]
Fetched 260 kB in 0s (937 kB/s)
Reading package lists...
Building dependency tree...
Reading state information...
All packages are up to date.
You are using opam 2.1+, where external dependency handling has been integrated: consider calling opam directly, the 'depext' plugin interface is provided for backwards compatibility only
# Detecting depexts using vars: arch=x86_64, os=linux, os-distribution=debian, os-family=debian
# The following system packages are needed:
libffi-dev
libmaxminddb-dev
pkg-config
[NOTE] Package dune is already installed (current version is 3.15.3).
[NOTE] Package ocamlfind is already installed (current version is 1.9.6).
The following actions will be performed:
  - install cppo                    1.6.9
  - install ppx_derivers            1.2.1
  - install conf-pkg-config         3
  - install bigarray-compat         1.1.0
  - install csexp                   1.5.2
  - install sexplib0                v0.17.0
  - install ocaml-compiler-libs     v0.12.4
  - install ocaml_intrinsics_kernel v0.17.0
  - install stdlib-shims            0.3.0
  - install conf-libmaxminddb       1
  - install conf-libffi             2.0.0
  - install dune-configurator       3.15.3
  - install ppxlib                  0.32.1
  - install integers                0.7.0
  - install base                    v0.17.0
  - install ppx_deriving            6.0.2
  - install ctypes                  0.22.0
  - install ppx_here                v0.17.0
  - install ctypes-foreign          0.22.0
  - install ppx_let                 v0.17.0
  - install mmdb                    0.2.1
===== 21 to install =====

The following system packages will first need to be installed:
    libffi-dev libmaxminddb-dev pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "libffi-dev" "libmaxminddb-dev" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libffi-dev:amd64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18766 files and directories currently installed.)
- Preparing to unpack .../0-libffi-dev_3.4.4-1_amd64.deb ...
- Unpacking libffi-dev:amd64 (3.4.4-1) ...
- Selecting previously unselected package libmaxminddb0:amd64.
- Preparing to unpack .../1-libmaxminddb0_1.7.1-1_amd64.deb ...
- Unpacking libmaxminddb0:amd64 (1.7.1-1) ...
- Selecting previously unselected package libmaxminddb-dev:amd64.
- Preparing to unpack .../2-libmaxminddb-dev_1.7.1-1_amd64.deb ...
- Unpacking libmaxminddb-dev:amd64 (1.7.1-1) ...
- Selecting previously unselected package libpkgconf3:amd64.
- Preparing to unpack .../3-libpkgconf3_1.8.1-1_amd64.deb ...
- Unpacking libpkgconf3:amd64 (1.8.1-1) ...
- Selecting previously unselected package pkgconf-bin.
- Preparing to unpack .../4-pkgconf-bin_1.8.1-1_amd64.deb ...
- Unpacking pkgconf-bin (1.8.1-1) ...
- Selecting previously unselected package pkgconf:amd64.
- Preparing to unpack .../5-pkgconf_1.8.1-1_amd64.deb ...
- Unpacking pkgconf:amd64 (1.8.1-1) ...
- Selecting previously unselected package pkg-config:amd64.
- Preparing to unpack .../6-pkg-config_1.8.1-1_amd64.deb ...
- Unpacking pkg-config:amd64 (1.8.1-1) ...
- Setting up libmaxminddb0:amd64 (1.7.1-1) ...
- Setting up libmaxminddb-dev:amd64 (1.7.1-1) ...
- Setting up libffi-dev:amd64 (3.4.4-1) ...
- Setting up libpkgconf3:amd64 (1.8.1-1) ...
- Setting up pkgconf-bin (1.8.1-1) ...
- Setting up pkgconf:amd64 (1.8.1-1) ...
- Setting up pkg-config:amd64 (1.8.1-1) ...
- Processing triggers for libc-bin (2.36-9+deb12u7) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/63:
Processing  2/63:
Processing  3/63:
Processing  4/63:
Processing  5/63:
Processing  6/63:
Processing  7/63: [conf-pkg-config: pkg-config]
-> retrieved base.v0.17.0  (cached)
Processing  8/63: [conf-pkg-config: pkg-config]
-> retrieved bigarray-compat.1.1.0  (cached)
Processing  9/63: [conf-pkg-config: pkg-config]
Processing 10/63: [bigarray-compat: dune build] [conf-pkg-config: pkg-config]
-> retrieved cppo.1.6.9  (cached)
Processing 11/63: [bigarray-compat: dune build] [conf-pkg-config: pkg-config]
Processing 12/63: [bigarray-compat: dune build] [conf-pkg-config: pkg-config] [cppo: dune build]
- usage: pkgconf [OPTIONS] [LIBRARIES]
- 
- basic options:
- 
-   --help                            this message
-   --about                           print pkgconf version and license to stdout
-   --version                         print supported pkg-config version to stdout
-   --atleast-pkgconfig-version       check whether or not pkgconf is compatible
-                                     with a specified pkg-config version
-   --errors-to-stdout                print all errors on stdout instead of stderr
-   --print-errors                    ensure all errors are printed
-   --short-errors                    be less verbose about some errors
-   --silence-errors                  explicitly be silent about errors
-   --list-all                        list all known packages
-   --list-package-names              list all known package names
-   --simulate                        simulate walking the calculated dependency graph
-   --no-cache                        do not cache already seen packages when
-                                     walking the dependency graph
-   --log-file=filename               write an audit log to a specified file
-   --with-path=path                  adds a directory to the search path
-   --define-prefix                   override the prefix variable with one that is guessed based on
-                                     the location of the .pc file
-   --dont-define-prefix              do not override the prefix variable under any circumstances
-   --prefix-variable=varname         sets the name of the variable that pkgconf considers
-                                     to be the package prefix
-   --relocate=path                   relocates a path and exits (mostly for testsuite)
-   --dont-relocate-paths             disables path relocation support
- 
- cross-compilation personality support:
- 
-   --personality=triplet|filename    sets the personality to 'triplet' or a file named 'filename'
-   --dump-personality                dumps details concerning selected personality
- 
- checking specific pkg-config database entries:
- 
-   --atleast-version                 require a specific version of a module
-   --exact-version                   require an exact version of a module
-   --max-version                     require a maximum version of a module
-   --exists                          check whether or not a module exists
-   --uninstalled                     check whether or not an uninstalled module will be used
-   --no-uninstalled                  never use uninstalled modules when satisfying dependencies
-   --no-provides                     do not use 'provides' rules to resolve dependencies
-   --maximum-traverse-depth          maximum allowed depth for dependency graph
-   --static                          be more aggressive when computing dependency graph
-                                     (for static linking)
-   --shared                          use a simplified dependency graph (usually default)
-   --pure                            optimize a static dependency graph as if it were a normal
-                                     dependency graph
-   --env-only                        look only for package entries in PKG_CONFIG_PATH
-   --ignore-conflicts                ignore 'conflicts' rules in modules
-   --validate                        validate specific .pc files for correctness
- 
- querying specific pkg-config database fields:
- 
-   --define-variable=varname=value   define variable 'varname' as 'value'
-   --variable=varname                print specified variable entry to stdout
-   --cflags                          print required CFLAGS to stdout
-   --cflags-only-I                   print required include-dir CFLAGS to stdout
-   --cflags-only-other               print required non-include-dir CFLAGS to stdout
-   --libs                            print required linker flags to stdout
-   --libs-only-L                     print required LDPATH linker flags to stdout
-   --libs-only-l                     print required LIBNAME linker flags to stdout
-   --libs-only-other                 print required other linker flags to stdout
-   --print-requires                  print required dependency frameworks to stdout
-   --print-requires-private          print required dependency frameworks for static
-                                     linking to stdout
-   --print-provides                  print provided dependencies to stdout
-   --print-variables                 print all known variables in module to stdout
-   --digraph                         print entire dependency graph in graphviz 'dot' format
-   --keep-system-cflags              keep -I/usr/include entries in cflags output
-   --keep-system-libs                keep -L/lib:/lib/i386-linux-gnu:/lib/x86_64-linux-gnu:/lib/x86_64-linux-gnux32:/lib32:/libx32:/usr/lib:/usr/lib/i386-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnux32:/usr/lib32:/usr/libx32 entries in libs output
-   --path                            show the exact filenames for any matching .pc files
-   --modversion                      print the specified module's version to stdout
-   --internal-cflags                 do not filter 'internal' cflags from output
- 
- filtering output:
- 
-   --msvc-syntax                     print translatable fragments in MSVC syntax
-   --fragment-filter=types           filter output fragments to the specified types
- 
- report bugs to <https://github.com/pkgconf/pkgconf/issues/new>.
-> compiled  conf-pkg-config.3
Processing 12/63: [bigarray-compat: dune build] [cppo: dune build]
-> installed conf-pkg-config.3
Processing 13/63: [bigarray-compat: dune build] [cppo: dune build]
Processing 14/63: [bigarray-compat: dune build] [conf-libffi: pkg-config libffi] [cppo: dune build]
Processing 15/63: [bigarray-compat: dune build] [conf-libffi: pkg-config libffi] [conf-libmaxminddb: pkg-config libmaxminddb] [cppo: dune build]
-> retrieved csexp.1.5.2  (cached)
Processing 16/63: [bigarray-compat: dune build] [conf-libffi: pkg-config libffi] [conf-libmaxminddb: pkg-config libmaxminddb] [cppo: dune build]
Processing 17/63: [bigarray-compat: dune build] [conf-libffi: pkg-config libffi] [conf-libmaxminddb: pkg-config libmaxminddb] [cppo: dune build] [csexp: dune build]
-> retrieved ctypes.0.22.0  (cached)
Processing 18/63: [bigarray-compat: dune build] [conf-libffi: pkg-config libffi] [conf-libmaxminddb: pkg-config libmaxminddb] [cppo: dune build] [csexp: dune build]
-> retrieved ctypes-foreign.0.22.0  (cached)
Processing 19/63: [bigarray-compat: dune build] [conf-libffi: pkg-config libffi] [conf-libmaxminddb: pkg-config libmaxminddb] [cppo: dune build] [csexp: dune build]
-> compiled  conf-libffi.2.0.0
Processing 19/63: [bigarray-compat: dune build] [conf-libmaxminddb: pkg-config libmaxminddb] [cppo: dune build] [csexp: dune build]
-> installed conf-libffi.2.0.0
Processing 20/63: [bigarray-compat: dune build] [conf-libmaxminddb: pkg-config libmaxminddb] [cppo: dune build] [csexp: dune build]
-> compiled  conf-libmaxminddb.1
Processing 20/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build]
-> installed conf-libmaxminddb.1
Processing 21/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build]
-> retrieved integers.0.7.0  (cached)
Processing 22/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build]
-> retrieved mmdb.0.2.1  (cached)
Processing 23/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build]
-> retrieved ocaml-compiler-libs.v0.12.4  (cached)
Processing 24/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build]
Processing 25/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build]
-> retrieved ocaml_intrinsics_kernel.v0.17.0  (cached)
Processing 26/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build]
Processing 27/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build]
-> retrieved ppx_derivers.1.2.1  (cached)
Processing 28/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build]
Processing 29/63: [bigarray-compat: dune build] [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
-> compiled  bigarray-compat.1.1.0
Processing 29/63: [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
-> installed bigarray-compat.1.1.0
Processing 30/63: [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
-> retrieved ppx_deriving.6.0.2  (cached)
Processing 31/63: [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
-> retrieved ppx_here.v0.17.0  (cached)
Processing 32/63: [cppo: dune build] [csexp: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
-> compiled  csexp.1.5.2
Processing 32/63: [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
-> installed csexp.1.5.2
Processing 33/63: [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
-> retrieved ppx_let.v0.17.0  (cached)
Processing 34/63: [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
-> retrieved sexplib0.v0.17.0  (cached)
Processing 35/63: [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build]
Processing 36/63: [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build] [sexplib0: dune build]
-> retrieved stdlib-shims.0.3.0  (cached)
Processing 37/63: [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [ppx_derivers: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> retrieved ppxlib.0.32.1  (cached)
-> compiled  ppx_derivers.1.2.1
Processing 37/63: [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed ppx_derivers.1.2.1
Processing 38/63: [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> retrieved dune-configurator.3.15.3  (cached)
Processing 39/63: [cppo: dune build] [dune-configurator: rm] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> compiled  cppo.1.6.9
Processing 39/63: [dune-configurator: rm] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed cppo.1.6.9
Processing 40/63: [dune-configurator: rm] [ocaml-compiler-libs: dune build] [ocaml_intrinsics_kernel: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> compiled  ocaml-compiler-libs.v0.12.4
Processing 40/63: [dune-configurator: rm] [ocaml_intrinsics_kernel: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed ocaml-compiler-libs.v0.12.4
Processing 41/63: [dune-configurator: rm] [ocaml_intrinsics_kernel: dune build] [sexplib0: dune build] [stdlib-shims: dune build]
-> compiled  ocaml_intrinsics_kernel.v0.17.0
Processing 41/63: [dune-configurator: rm] [sexplib0: dune build] [stdlib-shims: dune build]
-> installed ocaml_intrinsics_kernel.v0.17.0
Processing 42/63: [dune-configurator: rm] [sexplib0: dune build] [stdlib-shims: dune build]
-> compiled  sexplib0.v0.17.0
Processing 42/63: [dune-configurator: rm] [stdlib-shims: dune build]
-> installed sexplib0.v0.17.0
Processing 43/63: [dune-configurator: rm] [stdlib-shims: dune build]
-> compiled  stdlib-shims.0.3.0
Processing 43/63: [dune-configurator: rm]
-> installed stdlib-shims.0.3.0
Processing 44/63: [dune-configurator: rm]
Processing 45/63: [dune-configurator: rm] [integers: dune build]
Processing 46/63: [dune-configurator: rm] [integers: dune build] [ppxlib: dune build]
Processing 46/63: [dune-configurator: dune build] [integers: dune build] [ppxlib: dune build]
-> compiled  integers.0.7.0
Processing 46/63: [dune-configurator: dune build] [ppxlib: dune build]
-> installed integers.0.7.0
Processing 47/63: [dune-configurator: dune build] [ppxlib: dune build]
-> compiled  dune-configurator.3.15.3
Processing 47/63: [ppxlib: dune build]
-> installed dune-configurator.3.15.3
Processing 48/63: [ppxlib: dune build]
Processing 49/63: [base: dune build] [ppxlib: dune build]
Processing 50/63: [base: dune build] [ctypes: dune build] [ppxlib: dune build]
Processing 50/63: [base: dune build] [ctypes: dune install] [ppxlib: dune build]
-> compiled  ctypes.0.22.0
Processing 50/63: [base: dune build] [ppxlib: dune build]
-> installed ctypes.0.22.0
Processing 51/63: [base: dune build] [ppxlib: dune build]
Processing 52/63: [base: dune build] [ctypes-foreign: dune build] [ppxlib: dune build]
- (cd _build/default && /home/opam/.opam/5.1/bin/ocamlopt.opt -w -40 -g -I src/.base.objs/byte -I src/.base.objs/native -I /home/opam/.opam/5.1/lib/ocaml_intrinsics_kernel -I /home/opam/.opam/5.1/lib/sexplib0 -I hash_types/src/.base_internalhash_types.objs/byte -I hash_types/src/.base_internalhash_types.objs/native -I shadow-stdlib/src/.shadow_stdlib.objs/byte -I shadow-stdlib/src/.shadow_stdlib.objs/native -intf-suffix .ml -no-alias-deps -open Base__ -o src/.base.objs/native/base__Array.cmx -c -impl src/array.ml)
- File "src/array.ml", line 399, characters 28-75:
- 399 |       result := Bool.select ((keep_left_if [@inlined]) (compare x !result)) x !result
-                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
- Warning 55 [inlining-impossible]: Cannot inline: Unknown function
-> compiled  base.v0.17.0
Processing 52/63: [ctypes-foreign: dune build] [ppxlib: dune build]
-> installed base.v0.17.0
Processing 53/63: [ctypes-foreign: dune build] [ppxlib: dune build]
Processing 53/63: [ctypes-foreign: dune install] [ppxlib: dune build]
-> compiled  ctypes-foreign.0.22.0
Processing 53/63: [ppxlib: dune build]
-> installed ctypes-foreign.0.22.0
Processing 54/63: [ppxlib: dune build]
+ /home/opam/.opam/5.1/bin/dune "build" "-p" "ppxlib" "-j" "39" "@install" (CWD=/home/opam/.opam/5.1/.opam-switch/build/ppxlib.0.32.1)
-> compiled  ppxlib.0.32.1
-> installed ppxlib.0.32.1
Processing 56/63: [ppx_deriving: dune build]
Processing 57/63: [ppx_deriving: dune build] [ppx_here: dune build]
-> compiled  ppx_here.v0.17.0
Processing 57/63: [ppx_deriving: dune build]
-> installed ppx_here.v0.17.0
Processing 58/63: [ppx_deriving: dune build]
Processing 59/63: [ppx_deriving: dune build] [ppx_let: dune build]
-> compiled  ppx_deriving.6.0.2
Processing 59/63: [ppx_let: dune build]
-> installed ppx_deriving.6.0.2
Processing 60/63: [ppx_let: dune build]
+ /home/opam/.opam/5.1/bin/dune "build" "-p" "ppx_let" "-j" "39" (CWD=/home/opam/.opam/5.1/.opam-switch/build/ppx_let.v0.17.0)
-> compiled  ppx_let.v0.17.0
-> installed ppx_let.v0.17.0
Processing 62/63: [mmdb: dune build]
+ /home/opam/.opam/5.1/bin/dune "build" "-p" "mmdb" "-j" "39" (CWD=/home/opam/.opam/5.1/.opam-switch/build/mmdb.0.2.1)
- (cd _build/default/src/ffi && /usr/bin/gcc -O2 -fno-strict-aliasing -fwrapv -pthread -fPIC -D_FILE_OFFSET_BITS=64 -Wno-incompatible-pointer-types-discards-qualifiers -g -I /home/opam/.opam/5.1/lib/ocaml -I /home/opam/.opam/5.1/lib/bigarray-compat -I /home/opam/.opam/5.1/lib/ctypes -I /home/opam/.opam/5.1/lib/ctypes-foreign -I /home/opam/.opam/5.1/lib/integers -I /home/opam/.opam/5.1/lib/ocaml/threads -I /home/opam/.opam/5.1/lib/ocaml/unix -I /home/opam/.opam/5.1/lib/stdlib-shims -I bindings -I ../types -I ../types/bindings -o mmdb_ffi_stubs.o -c mmdb_ffi_stubs.c)
- mmdb_ffi_stubs.c: In function 'mmdb_stub_4_MMDB_aget_value':
- mmdb_ffi_stubs.c:39:40: warning: passing argument 3 of 'MMDB_aget_value' from incompatible pointer type [-Wincompatible-pointer-types]
-    39 |    int x28 = MMDB_aget_value(x25, x26, x27);
-       |                                        ^~~
-       |                                        |
-       |                                        char **
- In file included from mmdb_ffi_stubs.c:6:
- /usr/include/x86_64-linux-gnu/maxminddb.h:238:53: note: expected 'const char * const* const' but argument is of type 'char **'
-   238 |                            const char *const *const path);
-       |                            ~~~~~~~~~~~~~~~~~~~~~~~~~^~~~
- mmdb_ffi_stubs.c: In function 'mmdb_stub_5_MMDB_strerror':
- mmdb_ffi_stubs.c:45:16: warning: initialization discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
-    45 |    char* x33 = MMDB_strerror(x30);
-       |                ^~~~~~~~~~~~~
- mmdb_ffi_stubs.c: In function 'mmdb_stub_13_mmdb_ml_get_entry_data_utf8_string_value':
- mmdb_ffi_stubs.c:89:16: warning: initialization discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
-    89 |    char* x53 = mmdb_ml_get_entry_data_utf8_string_value(x52);
-       |                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- mmdb_ffi_stubs.c: In function 'mmdb_stub_15_mmdb_ml_get_entry_data_bytes_value':
- mmdb_ffi_stubs.c:101:19: warning: initialization discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
-   101 |    uint8_t* x59 = mmdb_ml_get_entry_data_bytes_value(x58);
-       |                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- At top level:
- cc1: note: unrecognized command-line option '-Wno-incompatible-pointer-types-discards-qualifiers' may have been intended to silence earlier diagnostics
-> compiled  mmdb.0.2.1
-> installed mmdb.0.2.1
Done.
# Run eval $(opam env) to update the current shell environment
2024-05-29 16:36.50 ---> saved as "25e0f59a84a03a368ac95910177e54fc5f23f4b40102330f312503d8d555a7b6"

/home/opam: (run (shell "opam exec -- ~/voodoo-prep -u mmdb:bb404f3aa04f41a430c90778df4ebbe8,ppx_let:2d51e243b4aaec543111efbd5ea1d81f"))
2024-05-29 16:36.52 ---> saved as "61b28ef6ba7d43c7e66ed2d17a559cf4a36da033bb27206357e2815804000212"

/home/opam: (run (network host)
                 (secrets (ssh_privkey (target /home/opam/.ssh/id_rsa)) (ssh_pubkey (target /home/opam/.ssh/id_rsa.pub)) (ssh_config (target /home/opam/.ssh/config)))
                 (shell "(echo '0.629137') && (for DATA in prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0,ppx_let.v0.17.0-2d51e243b4aaec543111efbd5ea1d81f,ppx_let.v0.17.0 prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1,mmdb.0.2.1-bb404f3aa04f41a430c90778df4ebbe8,mmdb.0.2.1; do IFS=\",\"; set -- $DATA; ([ -d $1 ] || (echo \"FAILED:$2\" && mkdir -p $1 && cp ~/opam.err.log $1 && opam show $3 --raw > $1/opam)) && (shopt -s nullglob && ((tar -cvf $1.tar $1/*  && rm -R $1/* && mv $1.tar $1/content.tar) || (echo 'Empty directory'))) done) && (for DATA in prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0,ppx_let.v0.17.0-2d51e243b4aaec543111efbd5ea1d81f,ppx_let.v0.17.0 prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1,mmdb.0.2.1-bb404f3aa04f41a430c90778df4ebbe8,mmdb.0.2.1; do IFS=\",\"; set -- $DATA; rsync -aR --no-p ./$1 docs.ci.ocaml.org:/data/.; done) && (for DATA in prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0,ppx_let.v0.17.0-2d51e243b4aaec543111efbd5ea1d81f,ppx_let.v0.17.0 prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1,mmdb.0.2.1-bb404f3aa04f41a430c90778df4ebbe8,mmdb.0.2.1; do IFS=\",\"; set -- $DATA; HASH=$((sha256sum $1/content.tar | cut -d \" \" -f 1)  || echo -n 'empty'); printf \"HASHES:$2:$HASH\\n\"; done)"))
0.629137
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/doc/
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/doc/ppx_let/
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/doc/ppx_let/CHANGES.md
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/doc/ppx_let/LICENSE.md
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/doc/ppx_let/README.md
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/ppx_let.ocamlobjinfo
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/META
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/dune-package
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/expander/
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/expander/ppx_let_expander.ocamlobjinfo
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/expander/ppx_let_expander.cmi
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/expander/ppx_let_expander.cmt
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/expander/ppx_let_expander.cmti
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/ppx_let.cmi
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/ppx_let.cmt
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/lib/ppx_let/ppx_let.cmti
prep/universes/2d51e243b4aaec543111efbd5ea1d81f/ppx_let/v0.17.0/opam
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/doc/
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/doc/mmdb/
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/doc/mmdb/CHANGES.md
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/doc/mmdb/LICENSE.md
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/doc/mmdb/README.md
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb.ocamlobjinfo
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/META
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/dune-package
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/mmdb_ffi.ocamlobjinfo
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/bindings/
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/bindings/mmdb_ffi_bindings.ocamlobjinfo
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/bindings/mmdb_ffi_bindings.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/bindings/mmdb_ffi_bindings.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/mmdb_ffi.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/mmdb_ffi.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/mmdb_ffi__.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/mmdb_ffi__.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/mmdb_ffi__G.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/ffi/mmdb_ffi__G.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb.cmti
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Coordinates.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Coordinates.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Errors.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Errors.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Pointers.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Pointers.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Types.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Types.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/mmdb__Types.cmti
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/mmdb_types.ocamlobjinfo
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/bindings/
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/bindings/mmdb_types_bindings.ocamlobjinfo
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/bindings/mmdb_types_bindings.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/bindings/mmdb_types_bindings.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/mmdb_types.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/mmdb_types.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/mmdb_types__.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/mmdb_types__.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/mmdb_types__G.cmi
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/lib/mmdb/types/mmdb_types__G.cmt
prep/universes/bb404f3aa04f41a430c90778df4ebbe8/mmdb/0.2.1/opam
Warning: Permanently added '[docs.ci.ocaml.org]:2222' (ED25519) to the list of known hosts.
Warning: Permanently added '[docs.ci.ocaml.org]:2222' (ED25519) to the list of known hosts.
HASHES:ppx_let.v0.17.0-2d51e243b4aaec543111efbd5ea1d81f:8f121fcf5db6cb9ad10403579d7440014ed7a93cf55204b139d757d5a5e4e591
HASHES:mmdb.0.2.1-bb404f3aa04f41a430c90778df4ebbe8:e54ae1e15fd00ab890886259bc9fa22eab432729a581b431cd6c7fe554ab03ce
2024-05-29 16:36.53 ---> saved as "6613a976615d41bdd8cd1f71872775f70e7a73cfe4c2fcb339f6556b657fabc1"
Job succeeded
2024-05-29 16:40.41: mmdb.0.2.1-bb404f3aa04f41a430c90778df4ebbe8 -> e54ae1e15fd00ab890886259bc9fa22eab432729a581b431cd6c7fe554ab03ce
2024-05-29 16:40.41: ppx_let.v0.17.0-2d51e243b4aaec543111efbd5ea1d81f -> 8f121fcf5db6cb9ad10403579d7440014ed7a93cf55204b139d757d5a5e4e591
2024-05-29 16:40.41: Job succeeded